curl -X POST '{host}/api/v1/platforms' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"name": "prod-zstack-01",
"productType": "zstack",
"hostIp": "192.168.1.100",
"hostPort": "8080",
"username": "admin",
"password": "s3cret",
"features": {
"syncResource": "true",
"monitoring": "true",
"logCollection": "false",
"credential": {
"usernameEnc": "value",
"passwordEnc": "value"
}
},
"accessKeyMode": "auto",
"accessKeyId": "AKID1234567890",
"accessKeySecret": "secret-value-xyz",
"scope": "region",
"regionUuid": "region-abc123-def456",
"clientRequestId": "create-zns-req-001",
"enabledModules": [
"{enabledModules}"
],
"endpointMode": "vip",
"endpoint": {
"host": "172.31.6.104",
"port": "7278"
},
"bootstrapNodes": [
{
"host": "172.31.6.104",
"port": "7278"
}
]
}'